%global timestamp %(date +%%Y%%m%%d%%H%%M%%S)

Name:           pcsx2-git
Version:        %{timestamp}
Release:        6%{?dist}
Summary:        PCSX2 - The Playstation 2 Emulator (Git Version)

License:        LGPLv2.1, LGPLv3, GPLv2, GPLv3
URL:            https://pcsx2.net/

BuildRequires:  git
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  alsa-lib-devel
BuildRequires:  libpcap-devel
BuildRequires:  libxml2-devel
BuildRequires:  freetype-devel
BuildRequires:  gettext
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  xz-devel
BuildRequires:  portaudio-devel
BuildRequires:  SDL2-devel
BuildRequires:  gtk3-devel
BuildRequires:  soundtouch-devel
BuildRequires:  libaio-devel
BuildRequires:  systemd-devel
BuildRequires:  wxGTK3-devel
BuildRequires:  fmt-devel
BuildRequires:  yaml-cpp-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  pulseaudio-libs-devel

#ExclusiveArch:      i686

Obsoletes:      pcsx2


%description
PCSX2 is a free and open-source PlayStation 2 (PS2) emulator. Its purpose is to emulate the PS2's hardware, using a combination of MIPS CPU Interpreters, Recompilers and a Virtual Machine which manages hardware states and PS2 system memory. This allows you to play PS2 games on your PC, with many additional features and benefits.

%prep
%{__git} clone --depth 1 --recurse-submodules https://github.com/PCSX2/pcsx2.git ./


#%build
DESTDIR=%{?buildroot} ./build.sh \
    --release \
    --no-simd \
    --strip \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DDISABLE_SETCAP=TRUE \
    -DDISABLE_PCSX2_WRAPPER=TRUE \
    -DXDG_STD=TRUE \
    -DPACKAGE_MODE=TRUE \
    -DSDL2_API=TRUE


%files
%license COPYING*
%doc README.md

%{_bindir}/*
%{_datadir}/PCSX2
%{_datadir}/PCSX2/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_defaultdocdir}/*/*
%{_mandir}/*/*


%changelog
* Wed May 11 2022 Victor Oliveira <victor.oliveira@gmx.com>
- Fixed build on newer Fedora versions (above 36)

* Thu May 05 2022 Victor Oliveira <victor.oliveira@gmx.com>
- Removed i686 arch

* Tue Feb 08 2022 Victor Oliveira <victor.oliveira@gmx.com>
- Added build flag SDL2_API
- Added git param recurse-submodules

* Thu Nov 18 2021 Victor Oliveira <victor.oliveira@gmx.com>
- Fixed build problems (Using provided build script from source)

* Fri Feb 12 2021 Victor Oliveira <victor.oliveira@gmx.com>
- Updated some CMAKE options
- Added function to fetch submodules
- Updated list of required build libs

* Mon Feb 11 2019 Victor Oliveira <victor.oliveira@gmx.com>
- First version
